# PDBReporter Class Reference

PDBReporter outputs a series of frames from a Simulation to a PDB file. More...

List of all members.

## Public Member Functions
def | __init__
| Create a PDBReporter.
def | describeNextReport
| Get information about the next report this object will generate.
def | report
| Generate a report.
def | __del__

## Detailed Description

PDBReporter outputs a series of frames from a Simulation to a PDB file.

To use it, create a PDBReporter, then add it to the Simulation's list of reporters.

## Member Function Documentation

def __del__ | ( |  | self | ) |

def __init__ | ( |  | self,
|  |  | file,
|  |  | reportInterval |
| ) |  |  |

Create a PDBReporter.

Parameters:

  | file | (string) The file to write to
  | reportInterval | (int) The interval (in time steps) at which to write frames

def describeNextReport | ( |  | self,
|  |  | simulation |
| ) |  |  |

Get information about the next report this object will generate.

Parameters:

  | simulation | (Simulation) The Simulation to generate a report for

Returns:
  A five element tuple. The first element is the number of steps until the next report. The remaining elements specify whether that report will require positions, velocities, forces, and energies respectively.

def report | ( |  | self,
|  |  | simulation,
|  |  | state |
| ) |  |  |

Generate a report.

Parameters:

  | simulation | (Simulation) The Simulation to generate a report for
  | state | (State) The current state of the simulation

The documentation for this class was generated from the following file:

- pdbreporter.py